org.keycloak.models.cache.infinispan

## Interface RealmCache

-     public interface RealmCache

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClient(CachedClient app)`
    `void` | `addClientTemplate(CachedClientTemplate app)`
    `void` | `addGroup(CachedGroup role)`
    `void` | `addRealm(CachedRealm realm)`
    `void` | `addRole(CachedRole role)`
    `void` | `clear()`
    `void` | `evictClientById(String id)`
    `void` | `evictClientTemplateById(String id)`
    `void` | `evictRoleById(String id)`
    `CachedClient` | `getClient(String id)`
    `CachedClientTemplate` | `getClientTemplate(String id)`
    `CachedGroup` | `getGroup(String id)`
    `CachedRealm` | `getRealm(String id)`
    `CachedRealm` | `getRealmByName(String name)`
    `CachedRole` | `getRole(String id)`
    `void` | `invalidateClient(CachedClient app)`
    `void` | `invalidateClientById(String id)`
    `void` | `invalidateClientTemplate(CachedClientTemplate app)`
    `void` | `invalidateClientTemplateById(String id)`
    `void` | `invalidateGroup(CachedGroup role)`
    `void` | `invalidateGroupById(String id)`
    `void` | `invalidateRealm(CachedRealm realm)`
    `void` | `invalidateRealmById(String id)`
    `void` | `invalidateRole(CachedRole role)`
    `void` | `invalidateRoleById(String id)`

- - ### Method Detail

    - #### clear

          void clear()

    - #### getRealm

          CachedRealm getRealm(String id)

    - #### invalidateRealm

          void invalidateRealm(CachedRealm realm)

    - #### addRealm

          void addRealm(CachedRealm realm)

    - #### getRealmByName

          CachedRealm getRealmByName(String name)

    - #### invalidateRealmById

          void invalidateRealmById(String id)

    - #### getClient

          CachedClient getClient(String id)

    - #### invalidateClient

          void invalidateClient(CachedClient app)

    - #### evictClientById

          void evictClientById(String id)

    - #### addClient

          void addClient(CachedClient app)

    - #### invalidateClientById

          void invalidateClientById(String id)

    - #### getRole

          CachedRole getRole(String id)

    - #### invalidateRole

          void invalidateRole(CachedRole role)

    - #### evictRoleById

          void evictRoleById(String id)

    - #### addRole

          void addRole(CachedRole role)

    - #### invalidateRoleById

          void invalidateRoleById(String id)

    - #### getGroup

          CachedGroup getGroup(String id)

    - #### invalidateGroup

          void invalidateGroup(CachedGroup role)

    - #### addGroup

          void addGroup(CachedGroup role)

    - #### invalidateGroupById

          void invalidateGroupById(String id)

    - #### getClientTemplate

          CachedClientTemplate getClientTemplate(String id)

    - #### invalidateClientTemplate

          void invalidateClientTemplate(CachedClientTemplate app)

    - #### evictClientTemplateById

          void evictClientTemplateById(String id)

    - #### addClientTemplate

          void addClientTemplate(CachedClientTemplate app)

    - #### invalidateClientTemplateById

          void invalidateClientTemplateById(String id)

Copyright © 2016 JBoss by Red Hat. All rights reserved.